Index: code/branches/mergeFS18/src/libraries/network/GamestateManager.cc
===================================================================
--- code/branches/mergeFS18/src/libraries/network/GamestateManager.cc	(revision 12026)
+++ code/branches/mergeFS18/src/libraries/network/GamestateManager.cc	(revision 12027)
@@ -43,5 +43,4 @@
 #include <cassert>
 #include <queue>
-// #include <boost/thread/mutex.hpp>
 
 #include "packet/Acknowledgement.h"
@@ -55,5 +54,4 @@
 #include "util/Clock.h"
 #include "util/OrxAssert.h"
-// #include "TrafficControl.h"
 
 namespace orxonox
@@ -62,28 +60,31 @@
   currentGamestate_(nullptr), id_(0)
   {
-//     trafficControl_ = new TrafficControl();
-//     threadMutex_ = new boost::mutex();
-//     threadPool_ = new ThreadPool();
   }
 
   GamestateManager::~GamestateManager()
   {
-    if( this->currentGamestate_ )
-        delete this->currentGamestate_;
-    for( const auto& mapEntry : gamestateQueue )
-      delete mapEntry.second;
-    for( const auto& mapEntryPeer : peerMap_ )
-    {
-      for( const auto& mapEntryGamestate : mapEntryPeer.second.gamestates )
-        delete mapEntryGamestate.second;
-    }
-//     this->trafficControl_->destroy();
-//     delete this->threadMutex_;
-//     delete this->threadPool_;
-  }
-
-  bool GamestateManager::update(){
-//     cleanup();
-    return getSnapshot();
+    if(this->currentGamestate_)
+    {
+      delete this->currentGamestate_;
+      this->currentGamestate_ = nullptr;
+    }
+
+    for(const auto& gsPair : this->gamestateQueue)
+    {
+      delete gsPair.second;
+    }
+
+    for(const auto& peerPair : this->peerMap_)
+    {
+      for(const auto& gsPair : peerPair.second.gamestates)
+      {
+        delete gsPair.second;
+      }
+    }
+  }
+
+  bool GamestateManager::update()
+  {
+    return this->getSnapshot();
   }
 
@@ -91,37 +92,54 @@
   {
     assert(gs);
-    std::map<unsigned int, packet::Gamestate*>::iterator it = gamestateQueue.find(clientID);
-    if(it!=gamestateQueue.end())
+    // Search the queue for a gamestate for the client
+    std::map<unsigned int, packet::Gamestate*>::iterator it = this->gamestateQueue.find(clientID);
+    if(it != this->gamestateQueue.end())
     {
       // delete obsolete gamestate
       delete it->second;
     }
-    gamestateQueue[clientID] = gs;
+    // update the client's gamestate
+    this->gamestateQueue[clientID] = gs;
+
     return true;
   }
 
+  /**
+   * Process the queued gamestates.
+   */
   bool GamestateManager::processGamestates()
   {
-    if( this->gamestateQueue.empty() )
+    // Queue is empty, nothing to do
+    if(this->gamestateQueue.empty())
+    {
         return true;
+    }
+
     // now push only the most recent gamestates we received (ignore obsolete ones)
-    for(const auto& mapEntry : gamestateQueue)
-    {
-      OrxVerify(processGamestate(mapEntry.second), "ERROR: could not process Gamestate");
-      sendAck( mapEntry.second->getID(), mapEntry.second->getPeerID() );
-      delete mapEntry.second;
+    for(const auto& gsPair : this->gamestateQueue)
+    {
+      OrxVerify(this->processGamestate(gsPair.second), "ERROR: could not process Gamestate");
+      this->sendAck(gsPair.second->getID(), gsPair.second->getPeerID());
+      delete gsPair.second;
     }
     // now clear the queue
-    gamestateQueue.clear();
+    this->gamestateQueue.clear();
+
     //and call all queued callbacks
     NetworkCallbackManager::callCallbacks();
+
     return true;
   }
   
+  /**
+   * Send Acknowledgement packet.
+   * @param gamestateId The gamestate ID we want to acknowledge
+   * @param peerID The ID of the peer we want to send the Acknowledgement to
+   */
   bool GamestateManager::sendAck(unsigned int gamestateID, uint32_t peerID)
   {
-    assert( gamestateID != ACKID_NACK );
+    assert(gamestateID != ACKID_NACK);
     packet::Acknowledgement *ack = new packet::Acknowledgement(gamestateID, peerID);
-    if( !this->sendPacket(ack))
+    if(!this->sendPacket(ack))
     {
       orxout(internal_warning, context::network) << "could not ack gamestate: " << gamestateID << endl;
@@ -135,21 +153,36 @@
   }
 
-
-  bool GamestateManager::getSnapshot(){
-    if ( currentGamestate_ != nullptr )
-      delete currentGamestate_;
+  /**
+   * Update the current gamestate.
+   */
+  bool GamestateManager::getSnapshot()
+  {
+    // Delete current gamestate
+    if (this->currentGamestate_)
+    {
+      delete this->currentGamestate_;
+      this->currentGamestate_ = nullptr;
+    }
+
     uint8_t gsMode;
-    if( GameMode::isMaster() )
+    if(GameMode::isMaster())
+    {
       gsMode = packet::GAMESTATE_MODE_SERVER;
-    else
+    }
+    else
+    {
       gsMode = packet::GAMESTATE_MODE_CLIENT;
+    }
+
     uint32_t newID;
-    if( GameMode::isMaster() )
-      newID = ++id_;
-    else
-    {
-      assert(peerMap_.size()!=0);
-      newID = peerMap_[NETWORK_PEER_ID_SERVER].lastReceivedGamestateID;
-      if( newID == GAMESTATEID_INITIAL )
+    if(GameMode::isMaster())
+    {
+      newID = ++this->id_;
+    }
+    else
+    {
+      assert(this->peerMap_.size() != 0);
+      newID = this->peerMap_[NETWORK_PEER_ID_SERVER].lastReceivedGamestateID;
+      if(newID == GAMESTATEID_INITIAL)
       {
         return false;
@@ -157,24 +190,31 @@
     }
     
-    currentGamestate_ = new packet::Gamestate();
-    
-    if(!currentGamestate_->collectData(newID, gsMode))
-    { //we have no data to send
-      delete currentGamestate_;
-      currentGamestate_=nullptr;
+    // Create a new gamestate
+    this->currentGamestate_ = new packet::Gamestate();
+    if(!this->currentGamestate_->collectData(newID, gsMode))
+    {
+      // we have no data to send
+      delete this->currentGamestate_;
+      this->currentGamestate_ = nullptr;
       return false;
     }
+
     return true;
   }
 
+  /**
+   * Return a vector with the gamestates of all peers.
+   */
   std::vector<packet::Gamestate*> GamestateManager::getGamestates()
   {
-    if(!currentGamestate_)
+    // Current gamestate is empty
+    if(!this->currentGamestate_){
       return std::vector<packet::Gamestate*>();
+    }
+
     std::vector<packet::Gamestate*> peerGamestates;
-    
-    for( const auto& mapEntry : peerMap_ )
-    {
-      if( !mapEntry.second.isSynched )
+    for(const auto& mapEntry : this->peerMap_)
+    {
+      if(!mapEntry.second.isSynched)
       {
         orxout(verbose_more, context::network) << "Server: not sending gamestate" << endl;
@@ -198,16 +238,10 @@
       peerGamestates.push_back(nullptr);  // insert an empty gamestate* to be changed
       finishGamestate( peerID, peerGamestates.back(), baseGamestate, currentGamestate_ );
-      if( peerGamestates.back()==nullptr )
+      if(peerGamestates.back() == nullptr)
+      {
         // nothing to send to remove pointer from vector
         peerGamestates.pop_back();
-      //FunctorMember<GamestateManager>* functor =
-//       ExecutorMember<GamestateManager>* executor = createExecutor( createFunctor(&GamestateManager::finishGamestate, this) );
-//       executor->setDefaultValues( cid, &clientGamestates.back(), client, currentGamestate_ );
-//       (*static_cast<Executor*>(executor))();
-//       this->threadPool_->passFunction( executor, true );
-//       (*functor)( cid, &(clientGamestates.back()), client, currentGamestate_ );
-    }
-
-//     threadPool_->synchronise();
+      }
+    }
 
     return peerGamestates;
@@ -215,19 +249,14 @@
 
 
-  void GamestateManager::finishGamestate( unsigned int peerID, packet::Gamestate*& destgamestate, packet::Gamestate* base, packet::Gamestate* gamestate ) {
-    //why are we searching the same client's gamestate id as we searched in
-    //Server::sendGameState?
+  void GamestateManager::finishGamestate(unsigned int peerID, packet::Gamestate*& destgamestate, packet::Gamestate* base, packet::Gamestate* gamestate)
+  {
     // save the (undiffed) gamestate in the clients gamestate map
-    //chose wheather the next gamestate is the first or not
-
-//     packet::Gamestate *gs = gamestate->doSelection(clientID, 20000);
-//       packet::Gamestate* gs = new packet::Gamestate(*gamestate);
-//     packet::Gamestate* gs = gamestate;
+    // choose whether the next gamestate is the first or not
+
+    // Create a copy of the gamestate
     packet::Gamestate *gs = new packet::Gamestate(*gamestate); //this is neccessary because the gamestate are being kept (to diff them later on) for each client seperately
-//     packet::Gamestate *gs = new packet::Gamestate();
-//     gs->collectData( id_, 0x1 );
-//     this->threadMutex_->lock();
-    peerMap_[peerID].gamestates[gamestate->getID()]=gs;
-//     this->threadMutex_->unlock();
+    this->peerMap_[peerID].gamestates[gamestate->getID()] = gs;
+
+    // Start the clock
     Clock clock;
     clock.capture();
@@ -236,5 +265,5 @@
     {
       packet::Gamestate *diffed1 = gs->diffVariables(base);
-      if( diffed1->getDataSize() == 0 )
+      if(diffed1->getDataSize() == 0)
       {
         delete diffed1;
@@ -249,13 +278,9 @@
     }
 
-
-//     OrxVerify(gs->compressData(), "");
+    // Stop the clock
     clock.capture();
     orxout(verbose_more, context::network) << "diff and compress time: " << clock.getDeltaTime() << endl;
-//     orxout(verbose_more, context::network) << "sending gamestate with id " << gs->getID();
-//     if(gamestate->isDiffed())
-//       orxout(verbose_more, context::network) << " and baseid " << gs->getBaseID() << endl;
-//     else
-//       orxout(verbose_more, context::network) << endl;
+
+
     gs->setPeerID(peerID);
     destgamestate = gs;
@@ -263,33 +288,30 @@
 
 
+  /**
+   * Acknowledge a received gamestate.
+   * @param gamestateID The ID of the gamestate to be acknowledged
+   * @param peerID The ID of the peer to send the Acknowledgement to
+   */
   bool GamestateManager::ackGamestate(unsigned int gamestateID, unsigned int peerID)
   {
-//     ClientInformation *temp = ClientInformation::findClient(peerID);
-//     assert(temp);
+    // Search for the peer in the peer map
     std::map<uint32_t, peerInfo>::iterator it = this->peerMap_.find(peerID);
-    assert(it!=this->peerMap_.end());
+    assert(it != this->peerMap_.end());
+
     unsigned int curid = it->second.lastAckedGamestateID;
 
     assert(gamestateID != ACKID_NACK);
-//     if(gamestateID == ACKID_NACK){
-//       it->second.lastAckedGamestateID = GAMESTATEID_INITIAL;
-// //       temp->setGamestateID(GAMESTATEID_INITIAL);
-//       // now delete all saved gamestates for this client
-//       std::map<uint32_t, packet::Gamestate*>::iterator it2;
-//       for(it2 = it->second.gamestates.begin(); it2!=it->second.gamestates.end(); ++it2 ){
-//         delete it2->second;
-//       }
-//       it->second.gamestates.clear();
-//       return true;
-//     }
-
-//    assert(curid==GAMESTATEID_INITIAL || curid<=gamestateID); // this line is commented out because acknowledgements are unreliable and may arrive in distorted order
-    if( gamestateID <= curid && curid != GAMESTATEID_INITIAL )
+
+    // The gamestate has already been acknowledged, nothing to do
+    if(gamestateID <= curid && curid != GAMESTATEID_INITIAL)
+    {
         return true;
-orxout(verbose, context::network) << "acking gamestate " << gamestateID << " for peerID: " << peerID << " curid: " << curid << endl;
+    }
+
+    orxout(verbose, context::network) << "acking gamestate " << gamestateID << " for peerID: " << peerID << " curid: " << curid << endl;
     std::map<uint32_t, packet::Gamestate*>::iterator it2;
-    for( it2=it->second.gamestates.begin(); it2!=it->second.gamestates.end(); )
-    {
-      if( it2->second->getID() < gamestateID )
+    for (it2 = it->second.gamestates.begin(); it2 != it->second.gamestates.end();)
+    {
+      if(it2->second->getID() < gamestateID)
       {
         delete it2->second;
@@ -297,64 +319,77 @@
       }
       else
+      {
         ++it2;
+      }
     }
     
-//     std::map<unsigned int, packet::Gamestate*>::iterator it;
-//     for(it = gamestateMap_[peerID].begin(); it!=gamestateMap_[peerID].end() && it->first<gamestateID; ){
-//       delete it->second;
-//       gamestateMap_[peerID].erase(it++);
-//     }
+    // update the last acked gamestate
     it->second.lastAckedGamestateID = gamestateID;
-//     temp->setGamestateID(gamestateID);
-//     TrafficControl::processAck(peerID, gamestateID);
+
     return true;
   }
   
+  /**
+   * Return the ID of the last received gamestate for a certain peer
+   * @param peerID The ID of the peer\
+   */
   uint32_t GamestateManager::getLastReceivedGamestateID(unsigned int peerID)
   {
-    assert( this->peerMap_.find(peerID)!=this->peerMap_.end() );
-    if( this->peerMap_.find(peerID) != this->peerMap_.end() )
+    if(this->peerMap_.find(peerID) != this->peerMap_.end())
+    {
       return this->peerMap_[peerID].lastReceivedGamestateID;
-    else
+    }
+    else
+    {
       return GAMESTATEID_INITIAL;
+    }
   }
   
-  
+  /**
+   * Add a peer to the game.
+   * @param peerID The ID of the peer to add.
+   */
   void GamestateManager::addPeer(uint32_t peerID)
   {
-    assert(peerMap_.find(peerID)==peerMap_.end());
-    peerMap_[peerID].peerID = peerID;
-    peerMap_[peerID].lastReceivedGamestateID = GAMESTATEID_INITIAL;
-    peerMap_[peerID].lastAckedGamestateID = GAMESTATEID_INITIAL;
-    if( GameMode::isMaster() )
-      peerMap_[peerID].isSynched = false;
-    else
-      peerMap_[peerID].isSynched = true;
-  }
-
+    // Ensure that the peer doesn't already exist.
+    assert(this->peerMap_.find(peerID) == this->peerMap_.end());
+
+    // Create the peerInfo struct for the peer
+    this->peerMap_[peerID].peerID = peerID;
+    this->peerMap_[peerID].lastReceivedGamestateID = GAMESTATEID_INITIAL;
+    this->peerMap_[peerID].lastAckedGamestateID = GAMESTATEID_INITIAL;
+    if(GameMode::isMaster())
+    {
+      this->peerMap_[peerID].isSynched = false;
+    }
+    else
+    {
+      this->peerMap_[peerID].isSynched = true;
+    }
+  }
+
+  /**
+   * Remove a peer from the game.
+   * @param peerID The ID of the peer to be removed
+   */
   void GamestateManager::removePeer(uint32_t peerID)
   {
-    assert(peerMap_.find(peerID)!=peerMap_.end());
-    for( const auto& mapEntry : peerMap_[peerID].gamestates )
+    // Make sure that the peer exists
+    assert(this->peerMap_.find(peerID) != this->peerMap_.end());
+
+    for (const auto& mapEntry : this->peerMap_[peerID].gamestates)
     {
       delete mapEntry.second;
     }
-    peerMap_.erase(peerMap_.find(peerID));
-  }
-
-
-//   void GamestateManager::removeClient(ClientInformation* client){
-//     assert(client);
-//     std::map<unsigned int, std::map<unsigned int, packet::Gamestate*>>::iterator clientMap = gamestateMap_.find(client->getID());
-//     // first delete all remained gamestates
-//     std::map<unsigned int, packet::Gamestate*>::iterator it;
-//     for(it=clientMap->second.begin(); it!=clientMap->second.end(); it++)
-//       delete it->second;
-//     // now delete the clients gamestatemap
-//     gamestateMap_.erase(clientMap);
-//   }
-
+    this->peerMap_.erase(this->peerMap_.find(peerID));
+  }
+
+  /**
+   * Process an incoming Gamestate packet.
+   * @param gs Pointer to the incoming Gamestate packet
+   */
   bool GamestateManager::processGamestate(packet::Gamestate *gs)
   {
+    // Decompress if necessary
     if(gs->isCompressed())
     {
@@ -362,10 +397,16 @@
     }
     assert(!gs->isDiffed());
+
     uint8_t gsMode;
-    if( GameMode::isMaster() )
+    if(GameMode::isMaster())
+    {
       gsMode = packet::GAMESTATE_MODE_SERVER;
-    else
+    }
+    else
+    {
       gsMode = packet::GAMESTATE_MODE_CLIENT;
-    if( gs->spreadData(gsMode) )
+    }
+
+    if(gs->spreadData(gsMode))
     {
       this->peerMap_[gs->getPeerID()].lastReceivedGamestateID = gs->getID();
@@ -373,5 +414,7 @@
     }
     else
+    {
       return false;
+    }
   }
 
Index: code/branches/mergeFS18/src/libraries/network/GamestateManager.h
===================================================================
--- code/branches/mergeFS18/src/libraries/network/GamestateManager.h	(revision 12026)
+++ code/branches/mergeFS18/src/libraries/network/GamestateManager.h	(revision 12027)
@@ -58,11 +58,14 @@
   * - writing gamestates to universe
   * - diffing gamestates
+  *
+  * Inherited by Host
+  *
   * EN/DECODATION:
   * a: last Gamestate a client has received
   * b: new Gamestate
   * x: diffed and compressed gamestate
-  * x=(a^b)
-  * b=(a^x)
-  * diff(a,diff(a,x))=x (hope this is correct)
+  * x = (a ^ b)
+  * b = (a ^ x)
+  * diff(a, diff(a, x)) = x (hope this is correct)
   * @author Oliver Scheuss
   */
@@ -75,5 +78,5 @@
       uint32_t  lastAckedGamestateID;     //!< id of the last gamestate on which we received an ack from the peer
       bool      isSynched;
-      std::map< uint32_t, packet::Gamestate* > gamestates;
+      std::map<uint32_t, packet::Gamestate*> gamestates;
     };
 
@@ -86,5 +89,5 @@
     virtual bool      ackGamestate(unsigned int gamestateID, unsigned int peerID) override;
     virtual uint32_t  getLastReceivedGamestateID( unsigned int peerID ) override;
-    virtual uint32_t  getCurrentGamestateID() override{ if( currentGamestate_) return currentGamestate_->getID(); else return GAMESTATEID_INITIAL; }
+    virtual uint32_t  getCurrentGamestateID() override { if(currentGamestate_) return currentGamestate_->getID(); else return GAMESTATEID_INITIAL; }
 
     bool processGamestates();
@@ -98,22 +101,23 @@
     void addPeer( uint32_t peerID );
     void setSynched( uint32_t peerID )
-      { assert(peerMap_.find(peerID)!=peerMap_.end()); peerMap_[peerID].isSynched = true; }
+      { assert(peerMap_.find(peerID) != peerMap_.end()); peerMap_[peerID].isSynched = true; }
     void removePeer( uint32_t peerID );
-    bool hasPeers(){ return this->peerMap_.size()!=0; }
-//     void removeClient(ClientInformation *client);
+    bool hasPeers(){ return this->peerMap_.size() != 0; }
+
   protected:
     virtual bool sendPacket( packet::Packet* packet ) = 0;
+
   private:
     bool processGamestate(packet::Gamestate *gs);
 
-//     std::map<unsigned int, std::map<unsigned int, packet::Gamestate*>> gamestateMap_;
     std::map<unsigned int, packet::Gamestate*> gamestateQueue;
-//     std::map<unsigned int, uint32_t> lastProcessedGamestateID_;
+
+    // Each peerID maps to a peerInfo struct
     std::map<uint32_t, peerInfo> peerMap_;
+
+    // always contains the latest gamestate
     packet::Gamestate* currentGamestate_;
-//     TrafficControl *trafficControl_;
     unsigned int id_;
-//     boost::mutex* threadMutex_;
-    ThreadPool*   /*thread*/Pool_;
+    ThreadPool* Pool_;
   };
 
Index: code/branches/mergeFS18/src/libraries/network/Host.cc
===================================================================
--- code/branches/mergeFS18/src/libraries/network/Host.cc	(revision 12026)
+++ code/branches/mergeFS18/src/libraries/network/Host.cc	(revision 12027)
@@ -44,7 +44,5 @@
   SetConsoleCommand(__CC_printRTT_group, __CC_printRTT_name, &Host::printRTT);
 
-  // Host*               Host::instance_=nullptr;
-  uint32_t            Host::clientID_s=0;
-//   uint32_t            Host::shipID_s=-1;
+  uint32_t            Host::clientID_s = 0;
   std::vector<Host*>  Host::instances_s;
 
@@ -54,7 +52,8 @@
   Host::Host()
   {
-  //   assert(instance_==nullptr);
-    instances_s.push_back(this);
+    Host::instances_s.push_back(this);
+
     ModifyConsoleCommand(__CC_printRTT_group, __CC_printRTT_name).setObject(this);
+
     this->bIsActive_ = false;
   }
@@ -66,6 +65,6 @@
   Host::~Host()
   {
-    assert( std::find( instances_s.begin(), instances_s.end(), this )!=instances_s.end() );
-    instances_s.erase(std::find( instances_s.begin(), instances_s.end(), this ));
+    assert(std::find( instances_s.begin(), instances_s.end(), this ) != instances_s.end());
+    Host::instances_s.erase(std::find( instances_s.begin(), instances_s.end(), this ));
     ModifyConsoleCommand(__CC_printRTT_group, __CC_printRTT_name).setObject(nullptr);
   }
@@ -80,7 +79,7 @@
   void Host::addPacket(ENetPacket *packet, int clientID, uint8_t channelID)
   {
-    for(Host* host : instances_s)
+    for (Host* host : instances_s)
     {
-      if( host->isActive() )
+      if (host->isActive())
       {
         host->queuePacket(packet, clientID, channelID);
@@ -97,7 +96,11 @@
   void Host::sendChat(const std::string& message, unsigned int sourceID, unsigned int targetID)
   {
-    for(Host* host : instances_s)
-      if( host->isActive() )
+    for (Host* host : instances_s)
+    {
+      if (host->isActive())
+      {
         host->doSendChat(message, sourceID, targetID);
+      }
+    }
   }
 
@@ -108,5 +111,7 @@
   {
     for (NetworkChatListener* listener : ObjectList<NetworkChatListener>())
+    {
       listener->incomingChat(message, sourceID);
+    }
   }
 
@@ -114,10 +119,12 @@
   bool Host::isServer()
   {
-    for (Host* host : instances_s)
+    for (Host* host : Host::instances_s)
     {
-      if( host->isActive() )
+      if (host->isActive())
       {
-        if( host->isServer_() )
+        if (host->isServer_())
+        {
           return true;
+        }
       }
     }
@@ -125,13 +132,20 @@
   }
 
+  /**
+   * Singleton implementation. Return the first active instance.
+   */
   Host* Host::getActiveInstance()
   {
     std::vector<Host*>::iterator it = Host::instances_s.begin();
-    while( it != Host::instances_s.end() )
+    while (it != Host::instances_s.end())
     {
-      if( (*it)->isActive() )
+      if ((*it)->isActive())
+      {
         return *it;
+      }
       else
+      {
         ++it;
+      }
     }
     return nullptr;
Index: code/branches/mergeFS18/src/libraries/network/LANDiscoverable.cc
===================================================================
--- code/branches/mergeFS18/src/libraries/network/LANDiscoverable.cc	(revision 12026)
+++ code/branches/mergeFS18/src/libraries/network/LANDiscoverable.cc	(revision 12027)
@@ -121,6 +121,4 @@
             info.setClientNumber(this->clientNumber);
             info.send(event.peer);
-//             ENetPacket* packet = enet_packet_create( LAN_DISCOVERY_ACK, strlen(LAN_DISCOVERY_ACK)+1, ENET_PACKET_FLAG_RELIABLE );
-//             enet_peer_send(event.peer, 0, packet );
             enet_host_flush(this->host_);
           }
Index: code/branches/mergeFS18/src/libraries/network/LANDiscoverable.h
===================================================================
--- code/branches/mergeFS18/src/libraries/network/LANDiscoverable.h	(revision 12026)
+++ code/branches/mergeFS18/src/libraries/network/LANDiscoverable.h	(revision 12027)
@@ -43,6 +43,5 @@
       void setActivity( bool bActive );
       void update();
-      void updateClientNumber(int clientNumber) {this->clientNumber = clientNumber;}
-;
+      void updateClientNumber(int clientNumber) { this->clientNumber = clientNumber; }
       /** Function used for the configuration file parameter update */
       void setConfigValues();
Index: code/branches/mergeFS18/src/libraries/network/LANDiscovery.cc
===================================================================
--- code/branches/mergeFS18/src/libraries/network/LANDiscovery.cc	(revision 12026)
+++ code/branches/mergeFS18/src/libraries/network/LANDiscovery.cc	(revision 12027)
@@ -61,5 +61,4 @@
     address.port = LAN_DISCOVERY_PORT;
 
-    /* TODO: check for availability of each protocol */
     /* IPv4 */
     address.host = ENET_HOST_BROADCAST;
@@ -102,6 +101,4 @@
               this->servers_.push_back(info);
           }
-//           enet_address_get_host_ip(&event.peer->address, buffer, buflen );
-//           serverIPs.push_back(std::string(buffer));
           break;
         default:
Index: code/branches/mergeFS18/src/libraries/network/MasterServer.cc
===================================================================
--- code/branches/mergeFS18/src/libraries/network/MasterServer.cc	(revision 12026)
+++ code/branches/mergeFS18/src/libraries/network/MasterServer.cc	(revision 12027)
@@ -40,5 +40,4 @@
   SetConsoleCommand( "ms-listservers", &MasterServer::listServers );
   SetConsoleCommand( "ms-delserver", &MasterServer::delServer );
-  //SetConsoleCommand( "ms-serverinfo", &MasterServer::serverInfo );
 
   /* forward declaration so the linker doesn't complain */
@@ -357,5 +356,7 @@
 
         /* incoming data */
-      case ENET_EVENT_TYPE_RECEIVE: eventData( event ); break;
+      case ENET_EVENT_TYPE_RECEIVE:
+        eventData( event ); break;
+        
       default: break;
     }
Index: code/branches/mergeFS18/src/libraries/network/MasterServerComm.cc
===================================================================
--- code/branches/mergeFS18/src/libraries/network/MasterServerComm.cc	(revision 12026)
+++ code/branches/mergeFS18/src/libraries/network/MasterServerComm.cc	(revision 12027)
@@ -38,5 +38,4 @@
      * the initialize method to facilitate debugging
      */
-    /* register object in orxonox */
   } 
 
@@ -48,8 +47,4 @@
       return 1;
     }
-
-    /* initialize the event holder */
-//     this->event = (ENetEvent *)calloc( sizeof(ENetEvent), 1 );
-    
 
     /* initiate the client */
@@ -226,8 +221,4 @@
     /* One could just use enet_host_service() instead. */
     enet_host_flush( this->client );
-   
-    /* free the packet */
-    // PLEASE: never do this, because enet will free the packet once it's delivered. this will cause double frees
-//     enet_packet_destroy( packet );
 
     /* all done. */
@@ -248,6 +239,4 @@
     /* One could just use enet_host_service() instead. */
     enet_host_flush( this->client );
-    // PLEASE: never do this, because enet will free the packet once it's delivered. this will cause double frees
-//     enet_packet_destroy( packet );
 
     /* all done. */
